aboutsummaryrefslogtreecommitdiffstats
path: root/dists
diff options
context:
space:
mode:
authortobigun <tobigun@b956fd51-792f-4845-bead-9b4dfca2ff2c>2008-09-09 14:47:34 +0000
committertobigun <tobigun@b956fd51-792f-4845-bead-9b4dfca2ff2c>2008-09-09 14:47:34 +0000
commit4b4340e8a7aa3c0fbd758fd6f0ca0287bbc397af (patch)
treebad99b2173a64e4e6305dc161a170f20b479e3c9 /dists
parent4a876f4460098af21058ef610a8c97d974c62eab (diff)
downloadusdx-4b4340e8a7aa3c0fbd758fd6f0ca0287bbc397af.tar.gz
usdx-4b4340e8a7aa3c0fbd758fd6f0ca0287bbc397af.tar.xz
usdx-4b4340e8a7aa3c0fbd758fd6f0ca0287bbc397af.zip
Gentoo live ebuild and 1.1_alpha ebuild added for testing
git-svn-id: svn://svn.code.sf.net/p/ultrastardx/svn/trunk@1354 b956fd51-792f-4845-bead-9b4dfca2ff2c
Diffstat (limited to 'dists')
-rw-r--r--dists/gentoo/readme.txt36
-rw-r--r--dists/gentoo/ultrastardx-1.1_alpha.ebuild67
-rw-r--r--dists/gentoo/ultrastardx-9999.ebuild73
3 files changed, 176 insertions, 0 deletions
diff --git a/dists/gentoo/readme.txt b/dists/gentoo/readme.txt
new file mode 100644
index 00000000..cf6dfcc1
--- /dev/null
+++ b/dists/gentoo/readme.txt
@@ -0,0 +1,36 @@
+---------------------------------------
+1. Introduction
+---------------------------------------
+This directory contains two ebuilds for UltraStar Deluxe
+- ultrastardx-9999.ebuild: a live ebuild using SVN sources
+- ultrastardx-1.1_alpha.ebuild: a snapshot ebuild that might be appended to the official portage someday (Note: at the moment there is no source snapshot for USDX so this will not work)
+
+---------------------------------------
+2. Create a portage overlay
+---------------------------------------
+If you want to try one of the ebuilds (at the moment only use the live ebuild) you must have a portage overlay.
+In case you do not have one or do not know what it is, see
+ http://gentoo-wiki.com/HOWTO_Create_an_Updated_Ebuild
+
+Normally this can be achieved (as root) with:
+ mkdir -p /usr/local/portage && echo 'PORTDIR_OVERLAY="/usr/local/portage"' >> /etc/make.conf
+
+---------------------------------------
+3. Add the USDX ebuild to your overlay
+---------------------------------------
+First create the directory structure (as root):
+ mkdir -p /usr/local/portage/games-arcade/ultrastardx
+
+Now copy the (live) ebuild to the new directory:
+ cp ultrastardx-9999.ebuild /usr/local/portage/games-arcade/ultrastardx
+
+Go to the overlay directory:
+ cd /usr/local/portage/games-arcade/ultrastardx
+
+Create a manifest:
+ ebuild ultrastardx-9999.ebuild manifest
+
+And you are done!
+
+Now you can emerge USDX with:
+ emerge ultrastardx -av
diff --git a/dists/gentoo/ultrastardx-1.1_alpha.ebuild b/dists/gentoo/ultrastardx-1.1_alpha.ebuild
new file mode 100644
index 00000000..92606cc9
--- /dev/null
+++ b/dists/gentoo/ultrastardx-1.1_alpha.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header $
+
+inherit eutils games
+
+SONGS_PKG=USDX-SongPackage
+SONGS_VER=01
+
+DESCRIPTION="An open-source karaoke game"
+HOMEPAGE="http://www.ultrastardeluxe.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}-src.tar.gz
+ songs? ( mirror://sourceforge/${PN}/${SONGS_PKG}-${SONGS_VER}.zip )"
+
+LICENSE="GPL-2
+ songs? (
+ CCPL-Attribution-ShareAlike-NonCommercial-2.5
+ CCPL-Attribution-NonCommercial-NoDerivs-2.5
+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="projectm debug songs"
+
+RDEPEND="virtual/opengl
+ virtual/glu
+ media-libs/libsdl
+ media-libs/sdl-image
+ media-libs/libpng
+ =media-libs/portaudio-19*
+ media-video/ffmpeg
+ dev-db/sqlite
+ projectm? ( media-libs/libprojectm )"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig
+ >=dev-lang/fpc-2.2.0"
+
+S=${WORKDIR}/${P}-src
+
+pkg_setup() {
+ games_pkg_setup
+ built_with_use media-libs/libsdl opengl \
+ || die "You need to compile media-libs/libsdl with USE=opengl."
+}
+
+src_compile() {
+ egamesconf \
+ $(use_with projectm libprojectM) \
+ $(use_enable debug) \
+ || die
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ if use songs; then
+ insinto "${GAMES_DATADIR}"/${PN}/songs
+ doins -r ${WORKDIR}/Songs/* || die "doins songs failed"
+ fi
+
+ dodoc AUTHORS.txt ChangeLog.german.txt ChangeLog.txt README.txt
+
+ doicon icons/${PN}-icon.svg
+ make_desktop_entry ${PN} "UltraStar Deluxe"
+
+ prepgamesdirs
+}
diff --git a/dists/gentoo/ultrastardx-9999.ebuild b/dists/gentoo/ultrastardx-9999.ebuild
new file mode 100644
index 00000000..1048c404
--- /dev/null
+++ b/dists/gentoo/ultrastardx-9999.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header $
+
+inherit subversion eutils games
+
+SONGS_PKG=USDX-SongPackage
+SONGS_VER=01
+
+DESCRIPTION="An open-source karaoke game"
+HOMEPAGE="http://www.ultrastardeluxe.org/"
+ESVN_REPO_URI="https://ultrastardx.svn.sourceforge.net/svnroot/ultrastardx/trunk"
+ESVN_PROJECT="ultrastardx"
+SRC_URI="songs? ( mirror://sourceforge/${PN}/${SONGS_PKG}-${SONGS_VER}.zip )"
+
+LICENSE="GPL-2
+ songs? (
+ CCPL-Attribution-ShareAlike-NonCommercial-2.5
+ CCPL-Attribution-NonCommercial-NoDerivs-2.5
+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="projectm debug songs"
+
+RDEPEND="virtual/opengl
+ virtual/glu
+ media-libs/libsdl
+ media-libs/sdl-image
+ media-libs/libpng
+ =media-libs/portaudio-19*
+ media-video/ffmpeg
+ dev-db/sqlite
+ projectm? ( media-libs/libprojectm )"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig
+ >=dev-lang/fpc-2.2.0"
+
+S=${WORKDIR}/${P}-src
+
+pkg_setup() {
+ games_pkg_setup
+ built_with_use media-libs/libsdl opengl \
+ || die "You need to compile media-libs/libsdl with USE=opengl."
+}
+
+src_unpack() {
+ unpack ${A}
+ subversion_src_unpack
+}
+
+src_compile() {
+ egamesconf \
+ $(use_with projectm libprojectM) \
+ $(use_enable debug) \
+ || die
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ if use songs; then
+ insinto "${GAMES_DATADIR}"/${PN}/songs
+ doins -r ${WORKDIR}/Songs/* || die "doins songs failed"
+ fi
+
+ dodoc AUTHORS.txt ChangeLog.german.txt ChangeLog.txt README.txt
+
+ doicon icons/${PN}-icon.svg
+ make_desktop_entry ${PN} "UltraStar Deluxe"
+
+ prepgamesdirs
+}